## org.eclipse.jst.jsf.facesconfig.emf.impl
Class DynamicElementImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.DynamicElementImpl

All Implemented Interfaces:
  DynamicElement

    public class DynamicElementImpl

extends EObjectImpl
implements DynamicElement

An implementation of the model object 'Dynamic Element'.

The following features are implemented:

- `Child Nodes`
- `Name`
- `Attributes`
- `Text Content`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getAttributes()`
`EList` `getChildNodes()`
`java.lang.String` `getName()`
`java.lang.String` `getTextContent()`
`void` `setName(java.lang.String newName)`
`void` `setTextContent(java.lang.String newTextContent)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getChildNodes

    public EList getChildNodes()

  Specified by:
    `getChildNodes` in interface `DynamicElement`
  Returns:
    the value of the 'Child Nodes' containment reference list.
  See Also:
    `FacesConfigPackage.getDynamicElement_ChildNodes()`

### getAttributes

    public EList getAttributes()

  Specified by:
    `getAttributes` in interface `DynamicElement`
  Returns:
    the value of the 'Attributes' reference list.
  See Also:
    `FacesConfigPackage.getDynamicElement_Attributes()`

### getTextContent

    public java.lang.String getTextContent()

  Specified by:
    `getTextContent` in interface `DynamicElement`
  Returns:
    the value of the 'Text Content' attribute.
  See Also:
    `DynamicElement.setTextContent(String)`, `FacesConfigPackage.getDynamicElement_TextContent()`

### setTextContent

    public void setTextContent(java.lang.String newTextContent)

  Specified by:
    `setTextContent` in interface `DynamicElement`
  Parameters:
    `newTextContent` - the new value of the 'Text Content' attribute.
  See Also:
    `DynamicElement.getTextContent()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `DynamicElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `DynamicElement.setName(String)`, `FacesConfigPackage.getDynamicElement_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `DynamicElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `DynamicElement.getName()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()